# Generator [![Build Status](https://secure.travis-ci.org/yeoman/generator.png?branch=master)](http://travis-ci.org/yeoman/generator)

Rails-inspired generator system that provides scaffolding for your apps

![Generator output](https://img.skitch.com/20120923-jxbn2njgk5dp7ttk94i1tx9ek2.png)

![Generator diff](https://img.skitch.com/20120922-kpjs68bgkshtsru4cwnb64fn82.png)


## Getting Started

If you're interested in writing your own generator we recommend first checking out any of our current generators. There are typically two types of generators - simple boilerplate 'copiers' and more advanced generators which can use custom prompts, remote dependencies and can do a lot more.

Read about the capabilities of our generators in our [docs](https://github.com/yeoman/yeoman/wiki/Generators). This guide will also cover how to create a new generator template using the command-line.


## Testing generators

There is currently no formal infrastructure for testing generators, however you may find our [mocha generator](https://github.com/yeoman/yeoman/wiki/Testing-generators) for custom generators useful.


## Officially maintained generators

* [Web App](https://github.com/yeoman/generator-webapp#readme) *(default)*
* [AngularJS](https://github.com/yeoman/generator-angular#readme)
* [Backbone](https://github.com/yeoman/generator-backbone#readme)
* [BBB (Backbone Boilerplate)](https://github.com/yeoman/generator-bbb#readme)
* [Chrome Apps Basic Boilerplate](https://github.com/yeoman/generator-chromeapp#readme)
* [Ember](https://github.com/yeoman/generator-ember#readme)
* [Jasmine](https://github.com/yeoman/generator-jasmine#readme)
* [Mocha](https://github.com/yeoman/generator-mocha#readme)
* [Karma](https://github.com/yeoman/generator-karma#readme)
